<?php
// $Id: page.tpl.php,v 1.25 2007/09/05 08:42:02 dries Exp $
?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="<?php print $language->language ?>" xml:lang="<?php print $language->language ?>">

<head>
  <title><?php print $head_title ?></title>
  <?php print $head ?>
  <?php print $styles ?>
  <?php print $scripts ?>
  <script type="text/javascript"><?php /* Needed to avoid Flash of Unstyle Content in IE */ ?> </script>
  <script language="javascript" type="text/javascript" src="<?php print base_path() . $directory ?>/inc.js"></script>

  <?php

  // CODE FROM http://www.javascriptkit.com/javatutors/externalphp2.shtml
  //  Header("content-type: application/x-javascript");

  function returnimages() {
    global $base_url, $this_dir, $gal_dir;
    $dirname=realpath('.')."/".$this_dir.$gal_dir;
    // ***** URL OF IMAGE
    $url=$base_url."/".$this_dir.$gal_dir;
    $pattern="(\.jpg$)|(\.png$)|(\.jpeg$)|(\.gif$)"; //valid image extensions
    $files = array();
    $curimage=0;
    if($handle = opendir($dirname)) {
      while(false !== ($file = readdir($handle))) {
        if(eregi($pattern, $file)) { //if this file is a valid image
                                     //Output it as a JavaScript array element
          echo 'image_list['.$curimage.'] = new imageItem("'.$url.'/'.$file.'");';
          $curimage++;
        }
      }
      closedir($handle);
    }
    return ($files);
  }

  ?>

</head>

<body>
<?php global $base_url, $this_dir, $gal_dir;?>
<?php $this_dir=$directory; ?>
<!-- ***** CHANGE SOURCE OF IMAGE HERE, DEFAULT IS (THEME_NAME)/gal -->
<?php $gal_dir="/gal"; ?>

<script language="JavaScript">
<!-- Original:  Robert Bui (astrogate@hotmail.com) -->
<!-- Web Site:  http://astrogate.virtualave.net -->

<!-- This script and many more are available free online at -->
<!-- The JavaScript Source!! http://javascript.internet.com -->
<!-- Begin
// ***** CHANGE TIMING HERE
var site=document.URL;
var interval = 15;
if ( site.match("q=") ) { // TEST FOR FIRSTPAGE
  interval = 60;
} else {
  interval = 60; // delay between rotating images (in seconds)
}
var random_display = 1; // 0 = no, 1 = yes
interval *= 1000;

var image_index = 0;
image_list = new Array();
<?php returnimages() ?>
var number_of_image = image_list.length;
//  End -->
</script>

<div class="bg_top">

<div id="subnav_wrap"><div class="w800">
  <?php if (isset($secondary_links)) { ?>
    <?php print theme('links', $secondary_links, array('class' =>'links', 'id' => 'subnavlist')) ?>
  <?php } ?>
</div></div>
<div class="mainbg">

<div id="header">
  <div id="header_wrap"><div class="w800">
    <div class="clearing">&nbsp;</div>
    <div id="logo">
      <?php if ($logo) { ?>
        <a href="<?php print $base_path ?>" title="<?php print t('Home') ?>"><img src="<?php print $logo ?>" alt="<?php print t('Home') ?>" /></a>
      <?php } ?>
      <?php if ($site_name) { ?>
        <h1 class='site-name'><a href="<?php print $base_path ?>" title="<?php print t('Home') ?>"><?php print $site_name ?></a></h1>
      <?php } ?>
      <?php if ($site_slogan) { ?>
        <div class='site-slogan'><?php print $site_slogan ?></div>
      <?php } ?>
    </div>
    <?php print $search_box ?>
    <div><?php print $header ?></div>
  </div></div>
  <div class="clearing">&nbsp;</div>
  <div id="nav_wrap"><div class="w800">
    <div id="menu">
      <?php if (isset($primary_links)) { ?>
        <?php print theme('links', $primary_links, array('class' =>'links', 'id' => 'navlist')) ?>
      <?php } ?>
    </div>
    <div class="clearing">&nbsp;</div>
  </div></div>
  <div class="clearing">&nbsp;</div>
</div>

<div id="content"><div id="main_wrap" class="w800">
  <div id="main" class="w600">
    <?php if (drupal_is_front_page()) { ?>

<div id="pre_mission">
  <span id="imagebackground">
    <img name="rImage" src="<?php print base_path() . $directory ?>/images/loading.jpg" alt="Random image" title="Random image" id="blendimage">
  </span>

</div>
    <?php } ?>
    <?php if ($mission) { ?><div id="mission"><?php print $mission ?></div><?php } ?>
    <?php if (! drupal_is_front_page()) { print $breadcrumb; } ?>
    <h1 class="title"><?php print $title ?></h1>
    <div class="tabs"><?php print $tabs ?></div>
    <?php print $help ?>
    <?php if ($show_messages) { print $messages; } ?>
    <?php print $content; ?>
    <?php print $feed_icons; ?>
  </div>
  <div id="aftermain">
  <?php if ($left) { ?>
    <div id="left_wrap">
      <div id="sidebar-left">
        <?php print $left ?>
      </div>
    </div>
  <?php } ?>
  <?php if ($right) { ?>
    <div class="clearing">&nbsp;</div>
    <div id="right_wrap"><div class="w800">
      <div id="sidebar-right">
        <?php print $right ?>
      </div>
    </div></div>
  <?php } ?>
  <div class="clearing">&nbsp;</div>
  </div>
</div></div>

</div>

<div id="footer_wrap"><div class="w800">
  <div id="footer">
    <?php print $footer_message ?>
    <?php print $footer ?>
  </div>
</div></div>
<?php print $closure ?>
<?php if (drupal_is_front_page()) { ?>
<script>
  rotateImage('rImage');
</script>
<?php } ?>

</div>

</body>
</html>
